Bug 182401 - can't detect pci device with smp kernel without noapic
can't detect pci device with smp kernel without noapic
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-22 06:57 EST by Takaki Hiroshi
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: kernel-2.6.23.1-10.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-06 07:03:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (12.31 KB, text/plain)
2006-02-22 06:57 EST, Takaki Hiroshi
no flags Details
dmesg when noapic is used (15.87 KB, text/plain)
2006-02-22 06:59 EST, Takaki Hiroshi
no flags Details
/proc/interrupts with no append kernel option (518 bytes, text/plain)
2006-03-13 03:55 EST, Takaki Hiroshi
no flags Details
dmesg with appending pci=noacpi option (14.77 KB, text/plain)
2006-03-13 04:01 EST, Takaki Hiroshi
no flags Details
/proc/interrupts with appending pci=noacpi option (727 bytes, text/plain)
2006-03-13 04:07 EST, Takaki Hiroshi
no flags Details

  None (edit)
Description Takaki Hiroshi 2006-02-22 06:57:06 EST
Description of problem:
I install FC5T3 on my smp box. It can't detect pci device when It was first boot
during instllation, so login prompt appear after a lot of error.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.15-1.1955_FC5

How reproducible:
always

Steps to Reproduce:
1. boot.
2.
3.
  
Actual results:
boot up with many error

Expected results:
clean boot

Additional info:
It can boot without error if noapic kernel option is used.
Comment 1 Takaki Hiroshi 2006-02-22 06:57:07 EST
Created attachment 125019 [details]
dmesg
Comment 2 Takaki Hiroshi 2006-02-22 06:59:43 EST
Created attachment 125020 [details]
dmesg when noapic is used
Comment 3 Takaki Hiroshi 2006-02-22 07:18:41 EST
M/B: RIOWORKS TDVIA (VT8633T, VT8233C)
CPU: PIII 1.4Ghz x 2

grub.conf:
title Fedora Core (2.6.15-1.1955_FC5smp)
        root (hd0,2)
        kernel /boot/vmlinuz-2.6.15-1.1955_FC5smp ro root=LABEL=/1 rhgb quiet
noapic psmouse.proto=imps
        initrd /boot/initrd-2.6.15-1.1955_FC5smp.img

lspci:
00:00.0 Host bridge: VIA Technologies, Inc. VT8653 Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8633 [Apollo Pro266 AGP]
00:08.0 RAID bus controller: Promise Technology, Inc. PDC20267
(FastTrak100/Ultra100) (rev 02)
00:09.0 SCSI storage controller: Adaptec AHA-2940U2/U2W
00:0a.0 Ethernet controller: 3Com Corporation 3c905 100BaseTX [Boomerang]
00:0b.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8233C PCI to ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:11.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 18)
00:11.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 18)
00:11.4 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 18)
01:00.0 VGA compatible controller: nVidia Corporation NV15 [GeForce2 GTS/Pro]
(rev a4)
Comment 4 Takaki Hiroshi 2006-03-13 03:55:26 EST
Created attachment 126023 [details]
/proc/interrupts with no append kernel option
Comment 5 Takaki Hiroshi 2006-03-13 04:01:51 EST
Created attachment 126024 [details]
dmesg with appending pci=noacpi option

2.6.15-1.2041_FC5smp works fine, if pci=noacpi is used.
Comment 6 Takaki Hiroshi 2006-03-13 04:07:20 EST
Created attachment 126025 [details]
/proc/interrupts with appending pci=noacpi option
Comment 7 Takaki Hiroshi 2006-06-22 22:17:39 EDT
FC6T1 still have this bug.
Comment 8 Konrad Rzeszutek 2006-06-23 10:50:44 EDT
You do have the latest BIOS installed on yor machine?
Comment 9 Takaki Hiroshi 2006-08-19 10:22:15 EDT
Yes. I'm using latest BIOS version 1.42.

http://www.rioworks.co.jp/bios/tdvia.html   ( sorry for Japanese language )
http://www.rioworks.co.jp/bios/files/tdvia/tdvia1420.zip

I think this is made in October 15, 2002. Because I can see such date in boot
screen.
Comment 10 Dave Jones 2006-10-16 17:52:25 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 11 Takaki Hiroshi 2006-10-31 14:32:30 EST
kernel-2.6.18-1.2200.fc5
doesn't work for me.
Comment 12 Takaki Hiroshi 2006-10-31 14:34:16 EST
to change status.
Comment 13 Takaki Hiroshi 2007-11-06 07:03:09 EST
kernel-2.6.23.1-10.fc7 works for me.

Note You need to log in before you can comment on or make changes to this bug.